Bug 710487

Summary: FIXED_IN_GIT: terminal unusable switching to runlevel 1 from 5
Product: [Fedora] Fedora Reporter: Zing <zing>
Component: systemdAssignee: Lennart Poettering <lpoetter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: harald, johannbg, lpoetter, metherid, mschmidt, notting, plautrba
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: systemd-26-10.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-30 18:53:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Zing 2011-06-03 14:28:19 UTC
Description of problem:
Dropping to runlevel 1 from runlevel 5 presents a shell that doesn't seem to have its terminal settings setup right or something.  It drops characters, no newline on hitting enter, no echo.

Version-Release number of selected component (if applicable):
systemd-26-2.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. be in runlevel 5
2. $ telinit 1

Actual results:
can't use the shell that's given.

Expected results:
useable shell

Additional info:
dropping to runlevel 1 from runlevel 3 seems fine... i get a useable shell.

Comment 1 Harald Hoyer 2011-06-17 09:42:52 UTC
that sounds like plymouth is still running and occupies the terminal

Comment 3 Fedora Update System 2011-09-23 17:06:24 UTC
systemd-36-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/systemd-36-2.fc16

Comment 4 Fedora Update System 2011-09-24 20:49:04 UTC
Package systemd-36-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-36-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/systemd-36-2.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-09-25 23:30:08 UTC
systemd-26-10.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/systemd-26-10.fc15

Comment 6 Fedora Update System 2011-09-26 23:27:18 UTC
Package systemd-26-10.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-26-10.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/systemd-26-10.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-09-30 18:52:41 UTC
systemd-36-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-10-05 03:53:22 UTC
systemd-26-10.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.